### Method

# Gio ListStore sort

since: 2.46

#### Declaration

    void
    g_list_store_sort (
      GListStore* store,
      GCompareDataFunc compare_func,
      gpointer user_data
    )

#### Description

Sort the items in `store` according to `compare_func`.

Available since: 2.46

#### Parameters

`compare_func`

  Type: `GCompareDataFunc`

  Pairwise comparison function for sorting.

`user_data`

  Type: `gpointer`

  User data for `compare_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.